/* FreeRTOS includes. */
#include "FreeRTOS.h"
#include "task.h"
#include "semphr.h"
#include<string.h>

/* IO library includes. */
#include "FreeRTOS_IO.h"

#include "FreeRTOS_lcd.h"
#include "LPC11xx.h"

portBASE_TYPE FreeRTOS_lcd_open( Peripheral_Control_t * const pxPeripheralControl )
{
	portBASE_TYPE xReturn;

	pxPeripheralControl->write = FreeRTOS_lcd_write;
	//pxPeripheralControl->ioctl = FreeRTOS_lcd_ioctl;

	init_lcd();

	xReturn = pdPASS;
	return xReturn;
}

//APNA lcd_DRIVER KA WRITE

size_t FreeRTOS_lcd_write( Peripheral_Descriptor_t const pxPeripheral, const void *pvBuffer, const size_t xBytes )
{
	char *BuffPtr;
	BuffPtr = pvPortMalloc( xBytes );

	//pvBuffer=(char *)pvBuffer;
	strcpy(BuffPtr,(char *)pvBuffer);
	lcd_putstring(0,BuffPtr);
	vPortFree( BuffPtr );

	return xBytes;
}

/*
//apna lcd_driver ka ioctl
portBASE_TYPE FreeRTOS_LCD_ioctl( Peripheral_Descriptor_t pxPeripheral, uint32_t ulRequest, void *pvValue )
{
	portBASE_TYPE xReturn = pdPASS;

	uint32_t ulValue = ( uint32_t ) pvValue;
	uint32_t *intValue = (uint32_t *) pvValue;

	taskENTER_CRITICAL();
		{
			switch( ulRequest )
			{
				default :
					xReturn = pdFAIL;
					break;
			}

		}
		taskEXIT_CRITICAL();

	return xReturn;
}
*/
